<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<!--
* Copyright © 1997, 2011, Oracle and/or its affiliates. All rights reserved.
* Use is subject to license terms.
-->
<html>
<head>
<meta http-equiv="content-type" content="text/html; charset=UTF-8">
<title>Java Project Tasks: Quick Reference</title>
<link rel="StyleSheet" href="nbdocs://org.netbeans.modules.usersguide/org/netbeans/modules/usersguide/ide.css" type="text/css">
</head>

<body>
<h2>Java Project Tasks: Quick Reference</h2>
<p>
This topic describes common tasks you can perform with projects. For more detailed information, click the links in the right column. </p>

<table border="1" cellpadding="5" cellspacing="0" summary="The left column lists the
   task name. The right column lists the steps to perform.">
  <tr valign="top"> 
    <th scope="col" align="left">To perform this task</th>
    <th scope="col" align="left">Follow these steps</th>
  </tr>
  <tr valign="top"> 
    <td> Create a project.</td>
    <td> 
      <ol>
        <li>Choose File &gt; New Project (Ctrl-Shift-N).</li>
        <li>Select the <a href="proj_templates.html">right template</a> for your 
          project.&nbsp;</li>
      </ol>
    </td>
  </tr>
  <tr valign="top"> 
    <td>Add a JAR file to a standard project's classpath.</td>
    <td> 
      <ol>
        <li>In the Projects window, right-click the Source Packages node for the 
          project and choose Properties. The IDE opens the Project Properties 
          dialog box in the <a href="../compile/comp_classpath.html">Compiling 
          Sources</a> page.</li>
        <li>Click Add JAR and select the JAR file in the file chooser. 
          <p> If you also want to attach source code and Javadoc for the JAR file, 
            click Add <a href="../compile/comp_libraries.html">Library</a> instead. 
        </li>
      </ol>
    </td>
  </tr>
  <tr valign="top"> 
    <td>Set up compilation dependencies between projects.</td>
    <td> 
      <ol>
        <li>In the Projects window, right-click the Source Packages node for the 
          project and choose Properties.</li>
        <li>Click <a href="../compile/comp_dependencies.html">Add Project</a> 
          and select the project folder for the project that you want to add to 
          the classpath. </li>
      </ol>
    </td>
  </tr>
  <tr valign="top"> 
    <td>Open required projects.</td>
    <td> 
      <ul>
        <li>In the Projects window, right-click the project node and choose Open 
          Required Projects. </li>
      </ul>
    </td>
  </tr>
  <tr valign="top"> 
    <td>Do a fresh build of a project.</td>
    <td> 
      <ul>
        <li>Choose Run &gt; <a href="../compile/comp_project.html">Clean and Build Main 
          Project</a> (F11) or right-click any project node and choose Clean and Build Project.</li>
      </ul>
    </td>
  </tr>
  <tr valign="top"> 
    <td>Run a project.</td>
    <td> 
      <ul>
          <li>Set the project as the <a href="proj_main.html">main project</a>
        and choose Run &gt; <a href="../run/run_app.html">Run Main Project</a> (F6) from the main menu 
        or right-click the project node in the Projects window and choose Run Project.</li>
      </ul>
    </td>
  </tr>
  <tr valign="top"> 
    <td>Debug a project.</td>
    <td> 
      <ul>
          <li>Set the project as the <a href="proj_main.html">main project</a> and
            choose Debug &gt; <a href="../debug/debug_local.html">Debug Main Project</a> (Ctrl-F5) from the main menu 
          or right-click the project in the Projects window and choose Debug Project.</li>
      </ul>
    </td>
  </tr>
  <tr valign="top"> 
    <td>Specify sources for a JAR file on the project classpath.</td>
    <td> 
      <ol>
        <li>Choose Tools &gt; Libraries from the main menu.</li>
        <li>If the JAR file is not already registered in the Ant Library Manager, 
          create a new empty library using the Add Library button.</li>
        <li>Select the library in the left panel of the Ant Library Manager.</li>
        <li>In the Classpath tab, click Add JAR/Folder and specify the location 
          of the JAR file containing the compiled class files. A library can contain 
          multiple JAR files.</li>
        <li>In the <a href="../debug/debug_source.html">Sources tab</a>, add the 
          folder or archive file containing the source code. </li>
      </ol>
    </td>
  </tr>
  <tr valign="top"> 
    <td>Specify Javadoc for a JAR file on the project classpath.</td>
    <td> 
      <ol>
        <li>Choose Tools &gt; Libraries from the main menu.</li>
        <li>If the JAR file is not already registered in the Ant Library Manager, 
          register the JAR file as described above.</li>
        <li>In the <a href="../javadoc/javadoc_add.html">Javadoc tab</a>, click 
          Add ZIP/Folder and specify the location of the Javadoc files.</li>
      </ol>
    </td>
  </tr>
  <tr valign="top"> 
    <td>Set the main project.</td>
    <td>
      <ul>
        <li>Right-click the project node and choose Set Main Project.</li>
      </ul>
    </td>
  </tr>
</table>
<hr>
<small><a href="../credits.html">Legal Notices</a></small> 
</body>
</html>
